Name:           kcometen3
Version:        1.1
Release:        7%{?dist}
Summary:        An OpenGL screensaver for KDE
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://user.cs.tu-berlin.de/~pmueller/
# At the time of writing (20070822) upstream source appears to be corrupt.
Source0:        http://user.cs.tu-berlin.de/~pmueller/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext
BuildRequires:  kdelibs3-devel
BuildRequires:  libGLU-devel
BuildRequires:  libpng-devel
BuildRequires:  libICE-devel
Requires:       xscreensaver-base

%description
An OpenGL screensaver for KDE.


%prep
%setup -q
# Permission cleanups for debug rpm
chmod -x src/*.h src/*.cpp


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}.kss
%{_datadir}/applnk/System/ScreenSavers/%{name}.desktop
%{_datadir}/apps/%{name}
%doc AUTHORS COPYING


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1-7
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Ian Chapman <packages[AT]amiga-hardware.com> 1.1-6
- Use kdelibs3-devel now instead of kdelibs-devel
- Source qt.sh

* Tue Aug 21 2007 Ian Chapman <packages@amiga-hardware.com> 1.1-5
- Release bump for F8 mass rebuild
- License change due to new guidelines

* Thu Nov 09 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-4
- Removed a few BRs which are imported by other BRs anyway

* Mon Nov 06 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-3
- Potential migration to FE

* Sat Jun 03 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-2
- Changed URL and source URL not to use a mirror
- Replaced xorg-x11-devel buildrequire with libGLU-devel for compatibility with
  both modular and non modular X

* Tue May 02 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-1.iss
- Initial Release
